start error ,function inotify_init not found #66

Closed
liwh opened this Issue Nov 24, 2010 · 1 comment

Projects

None yet

1 participant

@liwh
liwh commented Nov 24, 2010

/Users/Apple/.rvm/gems/ruby-1.9.2-p0/gems/ffi-0.6.3/lib/ffi/library.rb:113:in attach_function': Function 'inotify_init' not found in [libc.dylib] (FFI::NotFoundError) from /Users/Apple/.rvm/gems/ruby-1.9.2-p0/gems/rb-inotify-0.8.1/lib/rb-inotify/native.rb:24:inmodule:Native'
from /Users/Apple/.rvm/gems/ruby-1.9.2-p0/gems/rb-inotify-0.8.1/lib/rb-inotify/native.rb:9:in <module:INotify>' from /Users/Apple/.rvm/gems/ruby-1.9.2-p0/gems/rb-inotify-0.8.1/lib/rb-inotify/native.rb:3:in<top (required)>'
from /Users/Apple/.rvm/gems/ruby-1.9.2-p0/gems/activesupport-3.0.1/lib/active_support/dependencies.rb:239:in require' from /Users/Apple/.rvm/gems/ruby-1.9.2-p0/gems/activesupport-3.0.1/lib/active_support/dependencies.rb:239:inblock in require'
from /Users/Apple/.rvm/gems/ruby-1.9.2-p0/gems/activesupport-3.0.1/lib/active_support/dependencies.rb:225:in block in load_dependency' from /Users/Apple/.rvm/gems/ruby-1.9.2-p0/gems/activesupport-3.0.1/lib/active_support/dependencies.rb:591:innew_constants_in'
from /Users/Apple/.rvm/gems/ruby-1.9.2-p0/gems/activesupport-3.0.1/lib/active_support/dependencies.rb:225:in load_dependency' from /Users/Apple/.rvm/gems/ruby-1.9.2-p0/gems/activesupport-3.0.1/lib/active_support/dependencies.rb:239:inrequire'
from /Users/Apple/.rvm/gems/ruby-1.9.2-p0/gems/rb-inotify-0.8.1/lib/rb-inotify.rb:1:in <top (required)>' from /Users/Apple/.rvm/gems/ruby-1.9.2-p0/gems/bundler-1.0.7/lib/bundler/runtime.rb:64:inrequire'
from /Users/Apple/.rvm/gems/ruby-1.9.2-p0/gems/bundler-1.0.7/lib/bundler/runtime.rb:64:in block (2 levels) in require' from /Users/Apple/.rvm/gems/ruby-1.9.2-p0/gems/bundler-1.0.7/lib/bundler/runtime.rb:62:ineach'
from /Users/Apple/.rvm/gems/ruby-1.9.2-p0/gems/bundler-1.0.7/lib/bundler/runtime.rb:62:in block in require' from /Users/Apple/.rvm/gems/ruby-1.9.2-p0/gems/bundler-1.0.7/lib/bundler/runtime.rb:51:ineach'
from /Users/Apple/.rvm/gems/ruby-1.9.2-p0/gems/bundler-1.0.7/lib/bundler/runtime.rb:51:in require' from /Users/Apple/.rvm/gems/ruby-1.9.2-p0/gems/bundler-1.0.7/lib/bundler.rb:112:inrequire'
from /Users/Apple/workplace/shopqi/config/application.rb:13:in <top (required)>' from /Users/Apple/.rvm/gems/ruby-1.9.2-p0/gems/railties-3.0.1/lib/rails/commands.rb:28:inrequire'
from /Users/Apple/.rvm/gems/ruby-1.9.2-p0/gems/railties-3.0.1/lib/rails/commands.rb:28:in block in <top (required)>' from /Users/Apple/.rvm/gems/ruby-1.9.2-p0/gems/railties-3.0.1/lib/rails/commands.rb:27:intap'
from /Users/Apple/.rvm/gems/ruby-1.9.2-p0/gems/railties-3.0.1/lib/rails/commands.rb:27:in <top (required)>' from script/rails:6:inrequire'
from script/rails:6:in `

'

when i start the rails server ,i got this error ,can you give me the solve way or some advice ,thank you

@ghost
ghost commented Nov 24, 2010

Not an FFI bug - its a bug in whatever gem depends on rb-inotify. The inotify family of functions is linux-specific and do not exist on MacOS.

This issue was closed.
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment